// Main header file for the LMT-skeleton heuristic.

//#define DEBUG

#ifdef DEBUG
#include <log4cpp/Category.hh>
#include <log4cpp/FileAppender.hh>
#include <log4cpp/Layout.hh>
#include <log4cpp/BasicLayout.hh>
#include <log4cpp/NDC.hh>
#endif

#include "LMTPoint.h"
#include "LMTEdge.h"
#include "util.h"
#include "init.h"

// Perfrom the LMT-Skeleton heuristic on points, and report the
// skeleton and candiate edges back. If func is 0, dynamic programming
// will be performed if the skeleton is connected. The result is the
// total length of the resulting triangulation.
long double LMTSkeleton(std::vector<LMTPoint> &points, int func, 
		 std::vector<LMTEdge *> &skeleton,
		 std::vector<LMTEdge *> &candidates);
