// Common utility functions.

#ifndef _UTIL_H
#define _UTIL_H

#include "LMTPoint.h"

// Compute the quadrant p is in wrt the origin.
const int quadrant(const LMTPoint &p, const LMTPoint &origin);

// Check whether q is right of the line defined by p1 and p2.
const bool isRightOf(const LMTPoint &p1, const LMTPoint &p2, 
		     const LMTPoint &q);

// Check whether q is collinear with the line defined by p1 and p2.
const bool isCollinear(const LMTPoint &p1, const LMTPoint &p2, 
		       const LMTPoint &q);

// Check whether q is left of the line defined by p1 and p2.
const bool isLeftOf(const LMTPoint &p1, const LMTPoint &p2, 
		    const LMTPoint &q);

// Compute the length of line segment p1p2.
const long double lengthOf(const LMTPoint &p1, const LMTPoint &p2);

#endif // _UTIL_H
